2018-10-16 14:47 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0003101FSSCPdockingpublic2014-08-26 00:46
ReporterCyborg17 
Assigned ToGoober5000 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.7.5 
Summary0003101: Support Ship Can't Dock Error
DescriptionFSO throws an error when the support ship is called but the player ship doesn't have a docking point. Causes a crash on Ubuntu according to praseodym:

http://www.hard-light.net/forums/index.php?topic=87904.msg1760608#msg1760608

Can be fixed mission side, but it doesn't make logical sense to be able to call a support ship if your ship can't receive one. Better way to handle this?

Test Mission Attached. (Should be run with BP)
Steps To ReproduceCall a support ship when in the Spacesuit.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016252

Goober5000 (administrator)

Can you attach a screenshot of the error, as well as your fs2_open.log? I'm surprised this causes a problem because FSO should accommodate this already.

~0016253

Cyborg17 (reporter)

Additional info, debug throws a repeating warning when the comm menu is brought up. As you can see the standard build throws the error when the support ship has jumped in.

~0016254

MageKing17 (developer)

Last edited: 2014-08-25 01:19

View 2 revisions

You said it throws an error, but the log has only warnings. I don't see a problem with throwing a warning here...

EDIT: Apparently reading is hard (I blame tiredness). So the constant warnings prevent you from ever trying to call the support ship in the first place? What if you use shift+R?

~0016259

Cyborg17 (reporter)

Debug keeps the support ship from jumping in. This should probably the target behavior (minus the warning message). Standard build allows the support ship to jump in and trigger the error.

~0016260

Goober5000 (administrator)

Ugh...

So yes, I remembered correctly and FSO does check for this. The problem is that for optimization purposes, and because mods should disallow this situation, it only performs the check on debug mode.

A simple fix would be to perform the check in all circumstances, but this would remove the optimization. More thought is needed.

~0016261

Goober5000 (administrator)

I've committed an accommodation so that release builds won't crash and debug builds will only display the warning once. But this is really a mod error and mod authors should take care that all their player-flyable ships that fly in missions where support is allowed should have support ship dockpoints.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2014-08-24 16:21 Cyborg17 New Issue
2014-08-24 16:21 Cyborg17 Status new => assigned
2014-08-24 16:21 Cyborg17 Assigned To => Goober5000
2014-08-24 16:21 Cyborg17 File Added: MantisSupportShipTestMission.fs2
2014-08-24 21:54 Goober5000 Note Added: 0016252
2014-08-24 22:57 Cyborg17 File Added: fs2_open.log
2014-08-24 23:03 Cyborg17 File Added: dockerror.png
2014-08-24 23:07 Cyborg17 Note Added: 0016253
2014-08-25 01:14 MageKing17 Note Added: 0016254
2014-08-25 01:19 MageKing17 Note Edited: 0016254 View Revisions
2014-08-25 21:52 Cyborg17 Note Added: 0016259
2014-08-26 00:27 Goober5000 Note Added: 0016260
2014-08-26 00:44 Goober5000 Changeset attached => fs2open trunk r11028
2014-08-26 00:46 Goober5000 Note Added: 0016261
2014-08-26 00:46 Goober5000 Status assigned => resolved
2014-08-26 00:46 Goober5000 Resolution open => fixed
2014-08-26 00:46 Goober5000 Fixed in Version => 3.7.5
+Issue History